<template>
	 <a-layout-sider width="300" style="background: #fff">
          <a-menu
            mode="inline"
            :defaultSelectedKeys="[$route.name]"
            style="height: 100%"
            @click="handleClick"
          >
          <a-menu-item key="DashboardPage">
	        <a-icon type="user" />
	        <span>Главная</span>
	      </a-menu-item>
	      <a-menu-item key="UsersPage">
	        <a-icon type="team" />
	        <span>Сотрудники</span>
	      </a-menu-item>
	      <a-menu-item key="DepartmentsPage">
	        <a-icon type="solution" />
	        <span>Отделы</span>
	      </a-menu-item>
	      <a-menu-item key="TasksPage">
	        <a-icon type="calendar" />
	        <span>Задачи</span>
	      </a-menu-item>
	      <a-menu-item key="DevicesPage">
	        <a-icon type="desktop" />
	        <span>Устройства</span>
	      </a-menu-item>
	      <a-menu-item key="TicketsPage">
	        <a-icon type="code-o" />
	        <span>Заявки на поддержку</span>
	      </a-menu-item>
          </a-menu>
        </a-layout-sider>
</template>

<script type="text/javascript">
	export default {
		methods: {
			handleClick(data) {
				this.$router.push({ name: data.key });
			}
		}
	}
</script>